<h1 class="title">Установка и настройка АТС-коннектора «Простые звонки – АГАТ»</h1>

<h2><a name="system_req"></a>1. Системные требования</h2>
<hr>

<p>АТС-коннектор устанавливается на сервер, подключенный к совместимой АТС АГАТ через LAN
соединение.</p>

<p>Для установки и работы АТС-коннектора вам потребуется:<br>
	<ul>
		<li>Сервер с операционной системой Windows 7, Windows 8, Windows Server 2008, Windows Server 2008 R2,
Windows Server 2012, Windows Server 2012 R2</li>
		<li>Microsoft Windows Installer 4.5</li>
		<li>Microsoft .NET Framework 2.0</li>
		<li>АТС АГАТ</li>
		<li>АГАТ TSP Driver</li>
	</ul>
 </p>

 <p class="attention">Внимание! Для правильной работы функций «Всплывающая карточка» и «Умная переадресация» АТС
АГАТ должна правильно определять номера на внешних линиях.</p>

<h2>2. Проверьте перед установкой</h2>
<hr>

<p>Перед установкой и настройкой АТС-коннектора, пожалуйста, проверьте:<br>
	<ul>
		<li>Компьютер, на который вы устанавливаете АТС-коннектор, удовлетворяет системным требованиям
(см. <a href="#system_req">«Системные требования»)</a></li>
		<li>У вас есть доступ к серверу с правами администратора</li>
		<li>У вас есть установочный файл <i>ProstieZvonki_Agat.exe</i></li>
	</ul>
 </p>

 <h2>3. Установка АГАТ TSP Driver</h2>
 <hr>

 <p>TSP драйвер для АТС АГАТ называется «Agat SP», выберите нужную вам версия (32bit или 64bit) и
скачайте последнюю версию с сайта <a target="_blank" href="https://agatrt.ru/">http://www.agatux.ru/soft.html.</a></p>

<p>Запустите скачанный файл и следуйте инструкциям.</p>

<p>После успешной установки нужно настроить драйвер для подключения к вашей АТС, для этого запустите
программу конфигурации:<br>
<strong>Пуск – Agat RT - Agat TAPI Service Provider - Configuration</strong></p>

<p>Вы увидите окно для задания параметров IP-АТС, с которыми должена работать модель TSP.</p>
<p><img src="images/agat/ustanovka_nastroyka_agat_rt_settings.jpg" alt="окно для задания параметров IP-АТС"></p>

<p>Укажите все IP-АТС, IP-адреса, порты, пароли доступа и другие параметры. Для сохранения списка –
нажмите <strong>ОК</strong></p>

<p>Более подробное описание установки TSP драйвера для АТС АГАТ вы можете посмотреть на
официальном сайте разработчика или по ссылке <a target="_blank" href="https://agatrt.ru/">http://www.agatux.ru/zip/agatux_user_manual_TAPI.pdf</a></p>

<p class="attention">Внимание! Используйте только ту версию TSP драйвера, которая совместима с вашей АТС АГАТ.</p>

<p>шаблон templates\install_pbx_connector.html</p>

<h2>5. Описание файла настроек АТС-коннектора</h2>
<hr>

<p>Настройки вы выполнили в момент установки АТС-коннектора, для изменения настроек АТС-коннектора
найдите и откройте в текстовом редакторе конфигурационный файл <i>config.txt.</i> Файл находится в папке с
установленным АТС-коннектором: C:\ProgramFiles\Ведисофт\Простые Звонки\АГАТ</p>

<h3>Общая настройка АТС-коннектора</h3>

<p>1. Задайте параметр <strong>port</strong>. К этому порту будут подключаться модули CRM систем (баз клиентов).</p>

<p class="attention">Внимание! АТС-коннектор принимает входящие TCP соединения от CRM модулей на указанном порту.
Поэтому, если вы используете встроенный в Windows брандмауэр (файрвол) или сторонний
файрвол\антивирус, то настройте его так, чтобы АТС-коннектор мог принимать входящие TCP
соединения.</p>

<p>2. Для обеспечения большей безопасности задайте параметр <strong>password</strong>. Теперь все модули CRM,
которые будут подключаться к АТС-коннектору Panasonic должны передать правильное значение
<strong>password</strong>.</p>


<p>3. Задайте имя лог файла в параметре <strong>log_file</strong> и уровень записи лога в параметре <strong>log_level</strong>.</p>

<p>4. Если соединение между АТС-коннектором и модулем CRM (базы клиентов) прерывается, то
история звонков накапливается в специальной очереди. При подключении модуля CRM история звонков
автоматически загружается из этой очереди.</p>

<p>Для сохранения истории звонков за 1 день (при отсутствии подключения модуля CRM!) установите
значение параметра <strong>queue_max_length</strong> таким образом, чтобы оно было в 2 раза больше среднего
числа звонков за день.</p>

<p>5. Задайте префикс для звонка на внешние линии в параметре <strong>outgoing_prefix</strong> («9» - по умолчанию).</p>

<p>6. Задайте лицензионный ключ в параметре <strong>contract</strong>.</p>

<p class="attention">Внимание! Если вы не получили или не знаете Ваш лицензионный ключ, пожалуйста обратитесь в
<a target="_blank" href="http://prostiezvonki.ru/support">службу технической поддержки Ведисофт</a>.</p>

<p class="attention">Внимание! Для проверки лицензионного ключа АТС-коннектор связывается с портом 443 сервера
лицензий, который размещен в Интернет. Пожалуйста, проверьте настройки вашего файрвола, чтобы
разрешить доступ АТС-коннектора к серверу лицензий.</p>

<p>шаблон templates\smart_transfer.html</p>

<p class="attention">Внимание! Если вы хотите, чтобы клиенты сразу попадали на своих менеджеров и используете умную
переадресацию для всех входящих звонков, то вам нужно перенастроить АТС. АТС надо настроить так,
чтобы все входящие вызовы попадали на абонента, номер которого задан в параметре <strong>catch_list.</strong>
Рекомендуем задать абонента, у которого есть возможность принимать несколько параллельных
звонков. Если к этому номеру привязан какой-либо телефонный аппарат – отключите его, чтобы он не
звонил, пока переводится звонок</p>

<p>шаблон templates\pop_up.html</p>

<h2>6. Настройка защищенного SSL соединения</h2>
<hr>

<p>шаблон templates\ssl_settings.html</p>

<h2>7. Запуск АТС-коннектора</h2>
<hr>

<p>После установки и настройки АТС-коннектора перезагрузите компьютер. Запуск АТС-коннектора
происходит автоматически при старте системы.</p>

<p>Проверьте, что АТС-коннектор запущен:<br>
1. Откройте окно «Службы»: «Панель управления» – «Администрирование» – «Службы».<br>
2. Найдите сервис Простые звонки: модуль АГАТ.<br>
3. Состояние сервиса должно быть «Работает».<br>
В окне «Службы» вы также можете запускать и останавливать сервис вручную.</p>

<p>Проверьте, что АТС-коннектор подключился к линиям АТС:<br>
1. Откройте окно «Просмотр событий»: «Панель управления» – «Администрирование» – «Просмотр
событий».<br>
2. В разделе «Приложениях» найдите журнал «Agat CTI».<br>
3. Найдите в нем событие где написано «Was registered XXX lines».<br>
4. Если вместо XXX написано 0, то это означает, что АТС-коннектор не смог подключиться к линиям АТС
(проверьте правильность установки и настройки АГАТ TSP драйвера).</p>

<p>шаблон templates\connect_crm_to_pbx_connector.html</p>